Java2WSDL (Axis API)
Keywords: org.apache.axis.wsdl.Java2WSDL class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl
Class Java2WSDL

    java.lang.Object
      org.apache.axis.wsdl.Java2WSDL

public class Java2WSDL
extends java.lang.Object

Command line interface to the java2wsdl utility

Author:
  Ravi Kumar (rkumar@borland.com), Rich Scheuerle (scheu@us.ibm.com)

Field Summary
`protected static int` | `BINDING_NAME_OPT` Field BINDING_NAME_OPT
`protected java.lang.String` | `className` Field className
`protected static int` | `CLASSPATH_OPT`
`protected static int` | `DEPLOY_OPT` Field DEPLOY_OPT
`protected Emitter` | `emitter` Field emitter
`protected static int` | `EXTRA_CLASSES_OPT` Field EXTRA_CLASSES_OPT
`protected static int` | `HELP_OPT` Field HELP_OPT
`protected static int` | `IMPL_CLASS_OPT` Field IMPL_CLASS_OPT
`protected static int` | `IMPORT_SCHEMA_OPT` Field IMPORT_SCHEMA_OPT
`protected static int` | `INHERITED_CLASS_OPT` Field INHERITED_CLASS_OPT
`protected static int` | `INPUT_OPT` Field INPUT_OPT
`protected boolean` | `isDeploy` Field isDeplpy
`protected static int` | `LOCATION_IMPORT_OPT` Field LOCATION_IMPORT_OPT
`protected static int` | `LOCATION_OPT` Field LOCATION_OPT
`protected static int` | `METHODS_ALLOWED_OPT` Field METHODS_ALLOWED_OPT
`protected static int` | `METHODS_NOTALLOWED_OPT` Field METHODS_NOTALLOWED_OPT
`protected int` | `mode` Field mode
`protected static int` | `NAMESPACE_IMPL_OPT` Field NAMESPACE_IMPL_OPT
`protected static int` | `NAMESPACE_OPT` Field NAMESPACE_OPT
`protected java.util.HashMap` | `namespaceMap` Field namespaceMap
`protected CLOptionDescriptor[]` | `options` Define the understood options.
`protected static int` | `OUTPUT_IMPL_OPT` Field OUTPUT_IMPL_OPT
`protected static int` | `OUTPUT_OPT` Field OUTPUT_OPT
`protected static int` | `OUTPUT_WSDL_MODE_OPT` Field OUTPUT_WSDL_MODE_OPT
`protected static int` | `PACKAGE_OPT` Field PACKAGE_OPT
`protected static int` | `PORTTYPE_NAME_OPT` Field PORTTYPE_NAME_OPT
`protected static int` | `SERVICE_ELEMENT_NAME_OPT` Field SERVICE_ELEMENT_NAME_OPT
`protected static int` | `SERVICE_PORT_NAME_OPT` Field SERVICE_PORT_NAME_OPT
`protected static int` | `SOAPACTION_OPT` Field SOAPACTION_OPT
`protected static int` | `STOP_CLASSES_OPT` Field STOP_CLASSES_OPT
`protected static int` | `STYLE_OPT` Field STYLE_OPT
`protected static int` | `TYPEMAPPING_OPT` Field TYPEMAPPING_OPT
`protected java.lang.String` | `typeMappingVersion` Field typeMappingVersion
`protected static int` | `USE_OPT` Field USE_OPT
`protected java.lang.String` | `wsdlFilename` Field wsdlFilename
`protected java.lang.String` | `wsdlImplFilename` Field wsdlImplFilename

Constructor Summary
`protected` | `Java2WSDL()` Instantiate a Java2WSDL emitter.

Method Summary
`protected void` | `addOptions(CLOptionDescriptor[] newOptions)` addOptions Add option descriptions to the tool.
`protected Emitter` | `createEmitter()` Instantiate an Emitter
`protected void` | `generateServerSide(Emitter j2w, java.lang.String wsdlFileName)` Generate the server side artifacts from the generated WSDL
`static void` | `main(java.lang.String[] args)` Main Run the Java2WSDL emitter with the specified command-line arguments
`protected boolean` | `parseOption(CLOption option)` Parse an option
`protected void` | `printUsage()` printUsage print usage information and quit.
`protected int` | `run(java.lang.String[] args)` run checks the command-line arguments and runs the tool.
`protected boolean` | `validateOptions()` validateOptions This method is invoked after the options are set to validate the option settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INHERITED_CLASS_OPT

    protected static final int INHERITED_CLASS_OPT

  Field INHERITED_CLASS_OPT

  See Also:
    Constant Field Values

### SOAPACTION_OPT

    protected static final int SOAPACTION_OPT

  Field SOAPACTION_OPT

  See Also:
    Constant Field Values

### BINDING_NAME_OPT

    protected static final int BINDING_NAME_OPT

  Field BINDING_NAME_OPT

  See Also:
    Constant Field Values

### STOP_CLASSES_OPT

    protected static final int STOP_CLASSES_OPT

  Field STOP_CLASSES_OPT

  See Also:
    Constant Field Values

### IMPORT_SCHEMA_OPT

    protected static final int IMPORT_SCHEMA_OPT

  Field IMPORT_SCHEMA_OPT

  See Also:
    Constant Field Values

### EXTRA_CLASSES_OPT

    protected static final int EXTRA_CLASSES_OPT

  Field EXTRA_CLASSES_OPT

  See Also:
    Constant Field Values

### HELP_OPT

    protected static final int HELP_OPT

  Field HELP_OPT

  See Also:
    Constant Field Values

### IMPL_CLASS_OPT

    protected static final int IMPL_CLASS_OPT

  Field IMPL_CLASS_OPT

  See Also:
    Constant Field Values

### INPUT_OPT

    protected static final int INPUT_OPT

  Field INPUT_OPT

  See Also:
    Constant Field Values

### LOCATION_OPT

    protected static final int LOCATION_OPT

  Field LOCATION_OPT

  See Also:
    Constant Field Values

### LOCATION_IMPORT_OPT

    protected static final int LOCATION_IMPORT_OPT

  Field LOCATION_IMPORT_OPT

  See Also:
    Constant Field Values

### METHODS_ALLOWED_OPT

    protected static final int METHODS_ALLOWED_OPT

  Field METHODS_ALLOWED_OPT

  See Also:
    Constant Field Values

### NAMESPACE_OPT

    protected static final int NAMESPACE_OPT

  Field NAMESPACE_OPT

  See Also:
    Constant Field Values

### NAMESPACE_IMPL_OPT

    protected static final int NAMESPACE_IMPL_OPT

  Field NAMESPACE_IMPL_OPT

  See Also:
    Constant Field Values

### OUTPUT_OPT

    protected static final int OUTPUT_OPT

  Field OUTPUT_OPT

  See Also:
    Constant Field Values

### OUTPUT_IMPL_OPT

    protected static final int OUTPUT_IMPL_OPT

  Field OUTPUT_IMPL_OPT

  See Also:
    Constant Field Values

### PACKAGE_OPT

    protected static final int PACKAGE_OPT

  Field PACKAGE_OPT

  See Also:
    Constant Field Values

### PORTTYPE_NAME_OPT

    protected static final int PORTTYPE_NAME_OPT

  Field PORTTYPE_NAME_OPT

  See Also:
    Constant Field Values

### SERVICE_PORT_NAME_OPT

    protected static final int SERVICE_PORT_NAME_OPT

  Field SERVICE_PORT_NAME_OPT

  See Also:
    Constant Field Values

### SERVICE_ELEMENT_NAME_OPT

    protected static final int SERVICE_ELEMENT_NAME_OPT

  Field SERVICE_ELEMENT_NAME_OPT

  See Also:
    Constant Field Values

### TYPEMAPPING_OPT

    protected static final int TYPEMAPPING_OPT

  Field TYPEMAPPING_OPT

  See Also:
    Constant Field Values

### USE_OPT

    protected static final int USE_OPT

  Field USE_OPT

  See Also:
    Constant Field Values

### OUTPUT_WSDL_MODE_OPT

    protected static final int OUTPUT_WSDL_MODE_OPT

  Field OUTPUT_WSDL_MODE_OPT

  See Also:
    Constant Field Values

### METHODS_NOTALLOWED_OPT

    protected static final int METHODS_NOTALLOWED_OPT

  Field METHODS_NOTALLOWED_OPT

  See Also:
    Constant Field Values

### CLASSPATH_OPT

    protected static final int CLASSPATH_OPT

See Also:
  Constant Field Values

### STYLE_OPT

    protected static final int STYLE_OPT

  Field STYLE_OPT

  See Also:
    Constant Field Values

### DEPLOY_OPT

    protected static final int DEPLOY_OPT

  Field DEPLOY_OPT

  See Also:
    Constant Field Values

### options

    protected CLOptionDescriptor[] options

  Define the understood options. Each CLOptionDescriptor contains: - The "long" version of the option. Eg, "help" means that "--help" will be recognised. - The option flags, governing the option's argument(s). - The "short" version of the option. Eg, 'h' means that "-h" will be recognised. - A description of the option for the usage message

### emitter

    protected Emitter emitter

  Field emitter

### className

    protected java.lang.String className

  Field className

### wsdlFilename

    protected java.lang.String wsdlFilename

  Field wsdlFilename

### wsdlImplFilename

    protected java.lang.String wsdlImplFilename

  Field wsdlImplFilename

### namespaceMap

    protected java.util.HashMap namespaceMap

  Field namespaceMap

### mode

    protected int mode

  Field mode

### typeMappingVersion

    protected java.lang.String typeMappingVersion

  Field typeMappingVersion

### isDeploy

    protected boolean isDeploy

  Field isDeplpy

Constructor Detail

### Java2WSDL

    protected Java2WSDL()

  Instantiate a Java2WSDL emitter.

Method Detail

### createEmitter

    protected Emitter createEmitter()

  Instantiate an Emitter

  Returns:

### addOptions

    protected void addOptions(CLOptionDescriptor[] newOptions)

  addOptions Add option descriptions to the tool. Allows extended classes to add additional options.

  Parameters:
    `newOptions` - CLOptionDescriptor[] the options

### parseOption

    protected boolean parseOption(CLOption option)

  Parse an option

  Parameters:
    `option` - CLOption is the option
  Returns:

### validateOptions

    protected boolean validateOptions()

  validateOptions This method is invoked after the options are set to validate the option settings.

  Returns:

### run

    protected int run(java.lang.String[] args)

  run checks the command-line arguments and runs the tool.

  Parameters:
    `args` - String[] command-line arguments.
  Returns:

### generateServerSide

    protected void generateServerSide(Emitter j2w,
                                      java.lang.String wsdlFileName)
                               throws java.lang.Exception

  Generate the server side artifacts from the generated WSDL

  Parameters:
    `j2w` - the Java2WSDL emitter
    `wsdlFileName` - the generated WSDL file
  Throws:
    `java.lang.Exception`

### printUsage

    protected void printUsage()

  printUsage print usage information and quit.

### main

    public static void main(java.lang.String[] args)

  Main Run the Java2WSDL emitter with the specified command-line arguments

  Parameters:
    `args` - String[] command-line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.